Package groovy.lang

# Class NamedValue<T>

java.lang.Object
groovy.lang.NamedValue<T>

Type Parameters:
  `T` - the value type

All Implemented Interfaces:
  `Serializable`

@Incubating public class NamedValue<T> extends Object implements Serializable
Represents a value with name

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamedValue(String name, T val)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  `T`
  `getVal()`
  `int`
  `hashCode()`
  `String`
  `toString()`
  `String`
  `toString(Map<String,Object> options)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NamedValue

    public NamedValue(String name, T val)

- ## Method Details

  - ### getName

    public String getName()

  - ### getVal

    public T getVal()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(Map<String,Object> options)